libdap::D4Opaque Class Reference
Inheritance diagram for libdap::D4Opaque:

## Public Types

typedef std::vector< uint8_t > | dods_opaque

## Public Member Functions

unsigned int | buf2val (void **val) override
void | clear_local_data () override
void | compute_checksum (Crc32 &checksum) override
| D4Opaque (const D4Opaque &copy_from)
| D4Opaque (const std::string &n)
| D4Opaque (const std::string &n, const std::string &d)
void | deserialize (D4StreamUnMarshaller &um, DMR &dmr) override
bool | deserialize (UnMarshaller &, DDS *, bool=false) override
void | dump (std::ostream &strm) const override
int | length () const override
D4Opaque & | operator= (const D4Opaque &rhs)
bool | ops (BaseType *, int) override
void | print_val (FILE *, std::string="", bool=true) override
void | print_val (std::ostream &out, std::string space="", bool print_decl_p=true) override
BaseType * | ptr_duplicate () override
bool | serialize (ConstraintEvaluator &, DDS &, Marshaller &, bool=true) override
void | serialize (D4StreamMarshaller &m, DMR &dmr, bool filter=false) override
virtual bool | set_value (const dods_opaque &value)
std::vector< BaseType * > * | transform_to_dap2 (AttrTable *parent_attr_table) override
unsigned int | val2buf (void *val, bool reuse=false) override
virtual dods_opaque | value () const
unsigned int | width (bool=false) const override
int64_t | width_ll (bool=false) const override

## Protected Attributes

dods_opaque | d_buf

## Detailed Description

Definition at line 37 of file D4Opaque.h.

## Member Typedef Documentation

## dods_opaque

typedef std::vector<uint8_t> libdap::D4Opaque::dods_opaque

Definition at line 39 of file D4Opaque.h.

## Constructor & Destructor Documentation

## D4Opaque() [1/3]

libdap::D4Opaque::D4Opaque | ( | const std::string & | n | ) |

inline

Definition at line 45 of file D4Opaque.h.

## D4Opaque() [2/3]

libdap::D4Opaque::D4Opaque | ( | const std::string & | n,
|  | const std::string & | d )

inline

Definition at line 46 of file D4Opaque.h.

## ~D4Opaque()

libdap::D4Opaque::~D4Opaque | ( |  | ) |

inline override

Definition at line 48 of file D4Opaque.h.

## D4Opaque() [3/3]

libdap::D4Opaque::D4Opaque | ( | const D4Opaque & | copy_from | ) |

inline

Definition at line 50 of file D4Opaque.h.

## Member Function Documentation

## buf2val()

unsigned int libdap::D4Opaque::buf2val | ( | void ** | val | ) |

override

Definition at line 82 of file D4Opaque.cc.

## clear_local_data()

void libdap::D4Opaque::clear_local_data | ( |  | ) |

override

Definition at line 58 of file D4Opaque.cc.

## compute_checksum()

void libdap::D4Opaque::compute_checksum | ( | Crc32 & | checksum | ) |

override

Definition at line 67 of file D4Opaque.cc.

## deserialize() [1/2]

void libdap::D4Opaque::deserialize | ( | D4StreamUnMarshaller & | um,
|  | DMR & | dmr )

override

Definition at line 80 of file D4Opaque.cc.

## deserialize() [2/2]

bool libdap::D4Opaque::deserialize | ( | UnMarshaller & | ,
|  | DDS * | ,
|  | bool | = false )

inline override

Definition at line 70 of file D4Opaque.h.

## dump()

void libdap::D4Opaque::dump | ( | std::ostream & | strm | ) | const

override

Definition at line 139 of file D4Opaque.cc.

## length()

int libdap::D4Opaque::length | ( |  | ) | const

inline override

Definition at line 64 of file D4Opaque.h.

## operator=()

D4Opaque & libdap::D4Opaque::operator= | ( | const D4Opaque & | rhs | ) |

Definition at line 50 of file D4Opaque.cc.

## ops()

bool libdap::D4Opaque::ops | ( | BaseType * | ,
|  | int | )

inline override

Definition at line 95 of file D4Opaque.h.

## print_val() [1/2]

void libdap::D4Opaque::print_val | ( | FILE * | ,
|  | std::string | = "",
|  | bool | = true )

inline override

Definition at line 88 of file D4Opaque.h.

## print_val() [2/2]

void libdap::D4Opaque::print_val | ( | std::ostream & | out,
|  | std::string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 124 of file D4Opaque.cc.

## ptr_duplicate()

BaseType * libdap::D4Opaque::ptr_duplicate | ( |  | ) |

inline override

Definition at line 54 of file D4Opaque.h.

## serialize() [1/2]

bool libdap::D4Opaque::serialize | ( | ConstraintEvaluator & | ,
|  | DDS & | ,
|  | Marshaller & | ,
|  | bool | = true )

inline override

Definition at line 67 of file D4Opaque.h.

## serialize() [2/2]

void libdap::D4Opaque::serialize | ( | D4StreamMarshaller & | m,
|  | DMR & | dmr,
|  | bool | filter = false )

override

Definition at line 69 of file D4Opaque.cc.

## set_value()

bool libdap::D4Opaque::set_value | ( | const dods_opaque & | value | ) |

virtual

Set the value of this instance.

Parameters

  value | The value

Returns
  Always returns true; the return type of bool is for compatibility with the Passive* subclasses written by HAO.

Definition at line 108 of file D4Opaque.cc.

## transform_to_dap2()

std::vector< BaseType * > * libdap::D4Opaque::transform_to_dap2 | ( | AttrTable * | parent_attr_table | ) |

override

Definition at line 119 of file D4Opaque.cc.

## val2buf()

unsigned int libdap::D4Opaque::val2buf | ( | void * | val,
|  | bool | reuse = false )

override

Definition at line 96 of file D4Opaque.cc.

## value()

D4Opaque::dods_opaque libdap::D4Opaque::value | ( |  | ) | const

virtual

Get the value of this instance.

Returns
  The value.

Definition at line 117 of file D4Opaque.cc.

## width()

unsigned int libdap::D4Opaque::width | ( | bool | = false | ) | const

inline override

Definition at line 58 of file D4Opaque.h.

## width_ll()

int64_t libdap::D4Opaque::width_ll | ( | bool | = false | ) | const

inline override

Definition at line 60 of file D4Opaque.h.

## Member Data Documentation

## d_buf

dods_opaque libdap::D4Opaque::d_buf

protected

Definition at line 42 of file D4Opaque.h.

The documentation for this class was generated from the following files:

- D4Opaque.h
- D4Opaque.cc